/*
     $Revision$
     $Id$
*/

$(function ()
{   // initialisatie
    // Laat de standaard toevoeg knop niet zien.
    // We willen niet de standaard functie gebruiken in prs_bedrijfdienstlocatie en prs_dienst.
    $("#btn_scf_add").hide();
});

function scf_add_location(dienst_key, bedrijf_key)
{
  var url = "../prs/prs_edit_dienstlocs.asp?immediate=1&dienst_key="+dienst_key+"&bedrijf_key="+ bedrijf_key;
  FcltMgr.openModalDetail(url, L("lcl_prs_locbld_select"), { width: "95%", callback: scf_reload });
}

function scf_add_service(bedrijf_key, perslid_key)
{
    if (bedrijf_key > -1)
    {
        var bedrijf = "&company=" + bedrijf_key;
        var url = "../mgt/prs_bedrijfdienstlocatie.asp?mode=edit&id=-1" + bedrijf;
        FcltMgr.openModalDetail(url, L("bedrijf")+"-"+L("lcl_mld_dienst"), { callback: scf_reload });
    }
    else if (perslid_key > -1)
    {
        var perslid = "&person=" + perslid_key;
        var url = "../mgt/prs_bedrijfdienstlocatie.asp?mode=edit&id=-1" + perslid;
        FcltMgr.openModalDetail(url, L("prs_perslid")+"-"+L("lcl_mld_dienst"), { callback: scf_reload });
    }
    else
    {
        var url = "../mgt/prs_dienst.asp?mode=edit";
        FcltMgr.openModalDetail(url, L("lcl_mld_dienst"), { callback: scf_reload });
    }
}

function forcompany_onchange()
{
  var service = $("#service :selected").val();
  var person = $("#person").val();
  $("#forcompany").load("../Shared/loadBedrijfBedrijf.asp",
                        { service : service,
                          person: person
                        }
                       );
}
